×

Discussion Board

Results 1 to 4 of 4
  1. #1
    Registered User
    Join Date
    Sep 2008
    Location
    Montreal, Canada
    Posts
    29

    [moved] S60 2nd edition compatibility

    Hi,

    I have an application which handles interactions with the messaging server (SMS). I can build without errors with Carbide v1.3 and using "Series60_v21_CW".

    Trying to build the same application with previous version of "Series60_v20_CW" (which I think is normal), I got errors on missing files in "C:\Symbian\7.0s\Series60_v20_CW\Epoc32\include" folder (the gsmu library is present "C:\Symbian\7.0s\Series60_v20_CW\Epoc32\release\thumb\urel"):
    gsmumsg.h:
    gsmupdu.h:
    smuthdr.inl:
    smutset.inl:

    How can be solved this SDK imcompatibility?

    Thanks,
    George.

  2. #2
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Oslo, Norway
    Posts
    28,697

    Re: S60 2nd edition compatibility

    Those SDK-s happened a long time ago, it is unlikely that they would get any kind of 'official' fix. Since those header files come from Symbian OS, and both S60 2nd ed. noFP and FP1 are built on Symbian 7.0s, it is safe to copy those files from the FP1 SDK.
    In fact I have always developed for noFP devices (like the 6600) with the FP1 SDK, because its emulator seems to be more stable to me. And I have never faced any incompatibility problems.

  3. #3
    Nokia Developer Expert
    Join Date
    Jun 2008
    Posts
    333

    Re: S60 2nd edition compatibility

    the reason maybe that some components does not be supported in Series60_v20_CW,so these header file is missing.

  4. #4
    Registered User
    Join Date
    Sep 2008
    Location
    Montreal, Canada
    Posts
    29

    Re: S60 2nd edition compatibility

    Hi,

    as wizard_hu_ suggested I copied the file from S60 2nd edition FP 1_CW to S60 2nd edition noFP (supposed to be OK both working with the same OS, Symbian 7.0s). I also copied all headers and "inl" files which are included in these header files.

    Now I'm able to build the application (next step to verify (Emulator & phones) if it is working).

    Thank you.
    George.

Similar Threads

  1. Not able to create new application for S60 2nd edition in Carbide C++ v1.3
    By girishvmx in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 4
    Last Post: 2008-09-01, 11:23
  2. S60 2nd Edition SDK emulator error: Invalid Java Vesion
    By vikas_khengare in forum Mobile Java General
    Replies: 2
    Last Post: 2007-11-28, 10:47
  3. Replies: 3
    Last Post: 2007-04-20, 19:10
  4. Where is SDK for S60 1st Edition?
    By MDWPPC in forum Mobile Java Tools & SDKs
    Replies: 5
    Last Post: 2007-02-08, 07:04

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×